Fri, 10/18/2024 - 16:20
Forums:
Good afternoon,
I have a quick question. Is it possible to convert a "Handle(Geom2d_BSplineCurve) bSpline" to a TopoDS_Edge?
I tried the following:
gp_Pln plane(gp::XOY());
Handle(Geom_Surface) flatSurface = new Geom_Plane(plane);
TopoDS_Edge newEdge = BRepBuilderAPI_MakeEdge(bSpline, flatSurface);
But the resulting edge is always Null.
Am I missing something?
Thanks in advance,
Martijn
Fri, 10/18/2024 - 19:35
Valid
TopoDS_Edge
should have 3D curve representation. You may build such curve from 2d curve using toolGeomLib::BuildCurve3d()
for instance.The code snippet based on
StdPrs_BRepFont::to3d()
:Tue, 10/29/2024 - 13:10
Thank you very much, it works!
Martijn